<?php
//
// CheezCap - Cheezburger Custom Administration Panel
// (c) 2008 - 2010 Cheezburger Network (Pet Holdings, Inc.)
// LOL: http://cheezburger.com
// Source: http://code.google.com/p/cheezcap/
// Authors: Kyall Barrows, Toby McKes, Stefan Rusek, Scott Porad
// License: GNU General Public License, version 2 (GPL), http://www.gnu.org/licenses/gpl-2.0.html
//

$themename = "ImPressIO";	// used on the title of the custom admin page


function cap_get_options()
{
	$categories = get_categories();
	$k_categories=array("All Posts");
foreach ($categories as $category) {
	$k_categories[]=$category->cat_name;
  }
$k_categories=array_values($k_categories);
	return array(
		new Group ("General", "generaloptions",
			array(
					new TextOption("<h3 style=\"color:#f00; text-shadow:0 1px 1px #000;\">Site colors</h3>", "", "blank_something_49","Say K Cheez!", false),
					new DropdownOption("You can choose from", "<span style=\"background:#bbb; color:#000; padding:3px 5px; \">Gray</span> <span style=\"background:#f00; color:#fff; padding:3px 5px; \">Red</span> <span style=\"background:#7F0000; color:#fff; padding:3px 5px; margin-bottom:15px;\">Dark Red</span> <span style=\"background:#00FF21; color:#000; padding:3px 5px;\">Light Green</span> <span style=\"background:#007F0E; color:#fff; padding:3px 5px;\">Dark Green</span> <span style=\"background:#0026FF; color:#fff; padding:3px 5px;\">Blue</span> <span style=\"background:#00137F; color:#fff; padding:3px 5px;\">Navy blue</span> <span style=\"background:#B200FF; color:#000; padding:3px 5px;\">Light Purple</span> <span style=\"background:#57007F; color:#fff; padding:3px 5px;\">Dark Purple</span> <span style=\"background:#FF006E; color:#000; padding:3px 5px;\">Pink</span> <span style=\"background:#FF6A00; color:#000; padding:3px 5px;\">Orange</span>", "k_site_colors", array('Gray', 'Red', 'Dark Red', 'Light Green', 'Dark Green', 'Blue', 'Navy Blue', 'Light Purple', 'Dark Purple', 'Pink', 'Orange'), "Gray"),
					new TextOption("<h3 style=\"color:#f00; text-shadow:0 1px 1px #000;\">Footer Widgets</h3>", "", "blank_something_1","Say K Cheez!", false),
					new BooleanOption("Enable Footer Widget Area?", "This will enable / disable the footer widgetized area that will act like a sidebar", "k_enable_footer_widgets", false),
					new TextOption("<h3 style=\"color:#f00; text-shadow:0 1px 1px #000;\">Post Meta</h3>", "", "blank_something_34","Say K Cheez!", false),
					new BooleanOption("Enable / Disable Post Meta?", "You can disable the post meta (author and date of post)", "k_enable_postmeta", true),
					new TextOption("<h3 style=\"color:#f00; text-shadow:0 1px 1px #000;\">TimThumb Options</h3>", "", "blank_something_3","Say K Cheez!", false),
					new BooleanOption("Enable TimThumb?", "This will enable / disable the TimThumb image handling script. To find out more about TimThumb and this option <a style=\"color:#f00; font-weight:bold;\" href=\"http://kthemes.com/wordpress-help-tutorials/kpanel-powered-wordpress-themes-and-timthumb/\" target=\"_blank\">click here</a>", "k_enable_timthumb", false, false),
				)
			)
			,
		new Group ("Home Page", "homepageoptions",
			array(
					new TextOption("<h3 style=\"color:#f00; text-shadow:0 1px 1px #000;\">Home Page Layout</h3>", "", "blank_something_27","Say K Cheez!", false),
					new DropdownOption("Set the home page look", "Set what will the posts look like on the home page.", "k_home_layout", array('Thumbnail and Excerpt', 'Default Content'), "Default Content"),
					new TextOption("<h3 style=\"color:#f00; text-shadow:0 1px 1px #000;\">Home Sidebar Options</h3>", "", "blank_something_5","Say K Cheez!", false),
					new BooleanOption("Enable Special Home Page Sidebar? ", "By enabling a special sidebar for your home page  you will have two different sidebars: one for home page and another for the rest of the content.", "k_special_sidebar", false),
				)
			)
			,
		new Group ("Archives", "archivesoptions",
			array(
					new TextOption("<h3 style=\"color:#f00; text-shadow:0 1px 1px #000;\">Category Page Options</h3>", "", "blank_something_6","Say K Cheez!", false),
					new DropdownOption("What to Show for Posts on Category Page?", "You can setup what category pages should list for each post", "k_category_page", array('Title', 'Title and Excerpt', 'Title and Content'),"Title"),
					new TextOption("<h3 style=\"color:#f00; text-shadow:0 1px 1px #000;\">Date Archive Page Options</h3>", "", "blank_something_7","Say K Cheez!", false),
					new DropdownOption("What to Show for Posts on Archives Page?", "You can setup what archive pages should list for each post", "k_date_page", array('Title', 'Title and Excerpt', 'Title and Content'),"Title"),
					new TextOption("<h3 style=\"color:#f00; text-shadow:0 1px 1px #000;\">Tag Page Options</h3>", "", "blank_something_8","Say K Cheez!", false),
					new DropdownOption("What to Show for Posts on Tag Page?", "You can setup what tag pages should list for each post", "k_tag_page", array('Title', 'Title and Excerpt', 'Title and Content'),"Title"),
					new TextOption("<h3 style=\"color:#f00; text-shadow:0 1px 1px #000;\">Search Results Page Options</h3>", "", "blank_something_9","Say K Cheez!", false),
					new DropdownOption("What to Show for Posts on Search Results Page?", "You can setup what search results pages should list for each post", "k_search_page", array('Title', 'Title and Excerpt', 'Title and Content'),"Title"),
				)
			)
			,
		new Group ("Advertising", "advertisingoptions",
			array(
					new TextOption("<h3 style=\"color:#f00; text-shadow:0 1px 1px #000;\">Header Banner</h3>", "", "blank_something_11","Say K Cheez!", false),
					new BooleanOption("Enable Header Banner?", "You can enable / disable the header banner from showing", "k_header_banner_show", false),
					new TextOption("Header Advertising Banner Code", "Specify the code for the 468 x 60 px banner located in the header. Leave blank if you don't want header advertising.", "k_header_banner", "", true, true),
					new TextOption("<h3 style=\"color:#f00; text-shadow:0 1px 1px #000;\">Sidebar 125 x 125 px Banners Options</h3>", "", "blank_something_12","Say K Cheez!", false),
					new BooleanOption("Enable Sidebar 125 x 125 px Advertising Banners?", "You can enable / disable the 125 x 125 px advertising banners from showing in your sidebar", "k_sidebar_banners", false),
					new TextOption("<h3 style=\"color:#f00; text-shadow:0 1px 1px #000;\">125 x 125 px Banner Codes</h3>", "", "blank_something_13","Say K Cheez!", false),
					new TextOption("125 x 125 Banner Code 1", "Specify the code for the 1st 125 x 125 px banner", "k_125_1", "", true, true),
					new TextOption("125 x 125 Banner Code 2", "Specify the code for the 2nd 125 x 125 px banner", "k_125_2", "", true, true),
					new TextOption("125 x 125 Banner Code 3", "Specify the code for the 3rd 125 x 125 px banner", "k_125_3", "", true, true),
					new TextOption("125 x 125 Banner Code 4", "Specify the code for the 4th 125 x 125 px banner", "k_125_4", "", true, true),
				)
			)
		,
		new Group ("Social", "socialoptions",
			array(
					new TextOption("<h3 style=\"color:#f00; text-shadow:0 1px 1px #000;\">General Social Options</h3>", "", "blank_something_14","Say K Cheez!", false),
					new BooleanOption("Enable Follow / Subscribe?", "You can enable or disable Follow / Subscribe links from showing on your single posts / pages. You might want to disable if you have some social plugin.", "k_follow_subscribe", true),
					new BooleanOption("Enable Share / Bookmark?", "You can enable or disable Share / Bookmark links from showing on your single posts / pages. You might want to disable if you have some social plugin for Sharing / Bookmarking.", "k_share_bookmark", true),
					new TextOption("<h3 style=\"color:#f00; text-shadow:0 1px 1px #000;\">Facebook Options</h3>", "", "blank_something_15","Say K Cheez!", false),
					new TextOption("Facebook Profile Link", "This can be your personal profile or the Facebook fan page for your site", "k_facebook_link", "", false, true),
					new TextOption("<h3 style=\"color:#f00; text-shadow:0 1px 1px #000;\">Twitter Profile Options</h3>", "", "blank_something_16","Say K Cheez!", false),
					new TextOption("Twitter ID", "Enter the ID of your Twitter account", "k_twitter_id", "", false, true),
					new TextOption("<h3 style=\"color:#f00; text-shadow:0 1px 1px #000;\">Youtube Profile Options</h3>", "", "blank_something","Say K Cheez!", false),
					new TextOption("Youtube Profile Link", "Enter the URL of your Youtube profile", "k_youtube_link", "", false, true),
				)
			)
	);
}


?>