<?php global $cap;?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" <?php language_attributes(); ?>>
<head>
<meta http-equiv="Content-Type" content="<?php bloginfo('html_type'); ?>; charset=<?php bloginfo('charset'); ?>" />
<title><?php k_title();?></title>
<link rel="profile" href="http://gmpg.org/xfn/11" />
<link rel="stylesheet" type="text/css" media="all" href="<?php bloginfo( 'stylesheet_url' ); ?>" />
<link rel="stylesheet" href="<?php echo get_template_directory_uri();?>/scripts/menustyle.css" type="text/css" media="screen" />
<?php switch($cap->k_site_colors){
	case 'Gray':?>
    <?php break;
	case 'Red':?>
<link rel="stylesheet" href="<?php echo get_template_directory_uri();?>/colors/red.css" type="text/css" media="screen" />
    <?php break;
	case 'Dark Red':?>
<link rel="stylesheet" href="<?php echo get_template_directory_uri();?>/colors/darkred.css" type="text/css" media="screen" />
    <?php break;
	case 'Light Green':?>
<link rel="stylesheet" href="<?php echo get_template_directory_uri();?>/colors/lightgreen.css" type="text/css" media="screen" />
    <?php break;
	case 'Dark Green':?>
<link rel="stylesheet" href="<?php echo get_template_directory_uri();?>/colors/darkgreen.css" type="text/css" media="screen" />
    <?php break;
	case 'Blue':?>
<link rel="stylesheet" href="<?php echo get_template_directory_uri();?>/colors/blue.css" type="text/css" media="screen" />
    <?php break;
	case 'Navy Blue':?>
<link rel="stylesheet" href="<?php echo get_template_directory_uri();?>/colors/navyblue.css" type="text/css" media="screen" />
    <?php break;
	case 'Light Purple':?>
<link rel="stylesheet" href="<?php echo get_template_directory_uri();?>/colors/lightpurple.css" type="text/css" media="screen" />
    <?php break;
	case 'Dark Purple':?>
<link rel="stylesheet" href="<?php echo get_template_directory_uri();?>/colors/darkpurple.css" type="text/css" media="screen" />
    <?php break;
	case 'Pink':?>
<link rel="stylesheet" href="<?php echo get_template_directory_uri();?>/colors/pink.css" type="text/css" media="screen" />
    <?php break;
	case 'Orange':?>
<link rel="stylesheet" href="<?php echo get_template_directory_uri();?>/colors/orange.css" type="text/css" media="screen" />
    <?php break;
}?>
        
<link href='http://fonts.googleapis.com/css?family=Yanone+Kaffeesatz&amp;subset=latin' rel='stylesheet' type='text/css' />

<link rel="pingback" href="<?php bloginfo( 'pingback_url' ); ?>" />
<?php wp_head(); ?>
</head>
<body <?php body_class(); ?>>
<div class="extrabody">
<div class="extrabottom">
<div class="blackline">
	<?php if($k_layout=="full width"){?>
    <div id="header">
    	<?php do_action('k_first_header_hook');?>
        <div class="page">
			<?php do_action('k_header_hook');?>
        </div>
        <?php do_action('k_last_header_hook');?>
    </div>
    <div id="header_widgets">
    	<?php do_action('k_first_header_widget_hook');?>
    	<div class="page">
            <?php do_action('k_header_widget_hook');?>
        </div>
        <?php do_action('k_last_header_widget_hook');?>
    </div>
	<div id="content_area">
    	<?php do_action('k_first_content_area_hook');?>
    	<div class="page">
        <?php do_action('k_first_page_hook');?>
        	<div class="content">
            	<?php do_action('k_first_content_hook');?>
                <?php do_action('k_content_hook');?>
                <?php do_action('k_last_content_hook');?>
            </div>
            <div class="sidebar">
            	<?php do_action('k_first_sidebar_hook');?>
                <?php get_sidebar();?>
                <?php do_action('k_last_sidebar_hook');?>
            </div>
        <?php do_action('k_last_page_hook');?>
        </div>
        <?php do_action('k_last_content_area_hook');?>
    </div>
	<div id="footer_widgets">
       	<?php do_action('k_first_footer_widget_hook');?>
    	<div class="page">
            <?php do_action('k_footer_widget_hook');?>
        </div>
        <?php do_action('k_last_footer_widget_hook');?>
    </div>
	<div id="footer">
    	<div class="page">
        	<?php do_action('k_first_header_widget_hook');?>
        </div>
    </div>

    <?php } else {?>
	<?php do_action('k_fix_first_page_hook');?>
    <div class="wrap">
       	<div id="topmenu">
    	<?php wp_nav_menu(  array( 'theme_location' => 'header-menu' ));  ?> 
    	</div>
        <div style="clear:both;"></div>
    	<?php do_action('k_fix_first_header_hook');?>
    	<div id="header">
        <?php do_action('k_fix_header_hook');?>
        </div>
        <?php do_action('k_fix_last_header_hook');?>
        <div class="toppage">
        </div>
        <div id="maincontent">
        	<div id="content">
        		<?php do_action('k_fix_first_content_hook');?>
            	<?php do_action('k_fix_content_hook');?>
            	<?php do_action('k_fix_last_content_hook');?>
        	</div>
        	<div id="sidebar">
        		<?php do_action('k_fix_first_sidebar_hook');?>
            	<?php get_sidebar();?>
            	<?php do_action('k_fix_last_sidebar_hook');?>
        	</div>
        </div>
        <div class="bottompage">
        </div>
        <?php do_action('k_fix_first_footer_hook');?>
     </div>
        <div id="footer">
        <?php do_action('k_fix_footer_hook');?>
        </div>
        <?php do_action('k_fix_last_footer_hook');?>
    <?php do_action('k_fix_last_page_hook');?>
    <?php }?>
	<?php wp_footer();?>
</div>
</div>
</div>
</body>
</html>